Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.netvibes
Class NetvibesMetaData

    java.lang.Object
      org.jboss.portal.widget.netvibes.NetvibesMetaData

    public class NetvibesMetaData

extends java.lang.Object

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`NetvibesMetaData(java.lang.String author, java.lang.String website, org.jboss.portal.common.i18n.LocalizedString description, java.lang.String version, java.lang.String keywords, java.lang.String screenshot, java.lang.String thumbnail, java.lang.String apiVersion, boolean debugMode, int autoRefresh, boolean inline)`

Method Summary
`java.lang.String` | `getApiVersion()`
`java.lang.String` | `getAuthor()`
`int` | `getAutoRefresh()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`java.lang.String` | `getKeywords()`
`java.lang.String` | `getScreenshot()`
`java.lang.String` | `getThumbnail()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `getWebsite()`
`boolean` | `isDebugMode()`
`boolean` | `isInline()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetvibesMetaData

    public NetvibesMetaData(java.lang.String author,
                            java.lang.String website,
                            org.jboss.portal.common.i18n.LocalizedString description,
                            java.lang.String version,
                            java.lang.String keywords,
                            java.lang.String screenshot,
                            java.lang.String thumbnail,
                            java.lang.String apiVersion,
                            boolean debugMode,
                            int autoRefresh,
                            boolean inline)

Method Detail

### getAuthor

    public java.lang.String getAuthor()

### getWebsite

    public java.lang.String getWebsite()

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

### getVersion

    public java.lang.String getVersion()

### getKeywords

    public java.lang.String getKeywords()

### getScreenshot

    public java.lang.String getScreenshot()

### getThumbnail

    public java.lang.String getThumbnail()

### getApiVersion

    public java.lang.String getApiVersion()

### isDebugMode

    public boolean isDebugMode()

### getAutoRefresh

    public int getAutoRefresh()

### isInline

    public boolean isInline()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD